import React from 'react';
import { IconName } from "../../Icon";
export declare type ChipProps = {
    /**
     * Chip id
     */
    id?: string;
    /**
     * Chip label
     */
    label?: string;
    /**
     * Chip className
     */
    className?: string;
    /**
     * Chip name
     */
    name?: string;
    /**
     * Chip value
     */
    value: boolean;
    /**
     * Change radio buttons active state color
     */
    color?: string;
    /**
     * Whether this chip is disabled initially or not
     */
    disabled?: boolean;
    /**
     * Change event
     */
    onChange?: (value: boolean) => void;
    prefixIcon?: IconName | React.ReactNode;
    suffixIcon?: IconName | React.ReactNode;
} & React.HTMLAttributes<HTMLButtonElement>;
export declare const Chip: ({ label, value, color, disabled, onChange, className, prefixIcon, suffixIcon, ...props }: ChipProps) => JSX.Element;
