import React from 'react';
/**
 * Index informs users about critical information or require decisions.
 */
export declare type DialogProps = {
    /**
     * Index image
     */
    image?: any;
    /**
     * Index title
     */
    title?: string;
    /**
     * Index content
     */
    children?: any;
    /**
     * Index className (can be used to add more styles to mainIcon by targeting `main-icon` class in case of using a custom string)
     */
    className?: string;
    /**
     * Index button label
     */
    btnLabel1?: string;
    btnLabel2?: string;
    btnLabel3?: string;
    /**
     * Index max-width on desktop
     */
    isLargeSize?: boolean;
    /**
     * Whether this Index is open or not
     */
    open?: boolean;
    isMobileVertical?: boolean;
    /**
     * Callback when close icon is clicked. Normally, it is used to update `open` prop to close the dialog.
     */
    onClose?: React.MouseEventHandler;
    /**
     * Callback when dialog main button is clicked
     */
    onButtonClick1?: React.MouseEventHandler;
    onButtonClick2?: React.MouseEventHandler;
    onButtonClick3?: React.MouseEventHandler;
} & React.HTMLAttributes<HTMLDivElement>;
export declare const Dialog: ({ image, title, children, className, btnLabel1, btnLabel2, btnLabel3, isLargeSize, open, isMobileVertical, onClose, onButtonClick1, onButtonClick2, onButtonClick3, ...props }: DialogProps) => JSX.Element;
