import React from 'react';
import { IconName } from '../../index';
export declare type InfoboxProps = {
    /**
     * Infobox id
     */
    id?: string;
    /**
     * Infobox title
     */
    title?: string;
    /**
     * Infobox description
     */
    description?: string;
    /**
     * Infobox className
     */
    className?: string;
    /**
     * Change radio buttons active state color
     */
    color?: 'green' | 'red' | 'neutral';
    /**
     * Infobox button display or not
     */
    isButton?: boolean;
    /**
     * Infobox marked to display border or not
     */
    isHighEmphasis?: boolean;
    /**
     * Infobox button label
     */
    buttonLabel?: string;
    /**
     * Click event
     */
    onClick?: React.MouseEventHandler;
    /**
     * Infobox icon
     */
    icon?: IconName | React.ReactNode;
} & React.HTMLAttributes<HTMLDivElement>;
export declare const Infobox: ({ id, title, description, color, className, isHighEmphasis, isButton, buttonLabel, onClick, icon, ...props }: InfoboxProps) => JSX.Element;
