import React from 'react';
import { IconName } from '../../Icon';
export declare type InputProps = {
    /**
     * Input name
     */
    name?: string;
    /**
     * Input label
     */
    label?: string;
    /**
     * The input content value
     */
    value?: string | number;
    /**
     * Callback when user blur
     */
    onBlur?: () => void;
    /**
     * Callback when user focus
     */
    onFocus?: () => void;
    /**
     * Disabled input
     */
    disabled?: boolean;
    /**
     * Whether this input is required or not
     */
    required?: boolean;
    /**
     * Input status (useful when implemented with form validation)
     */
    status?: 'error' | 'default';
    /**
     * Promp a assitiveText below input (useful when implemented with form validation)
     */
    assitiveText?: string;
    /**
     * Maximum number of characters allowed. 0, null and undefined mean no limitation
     */
    characterLimit?: number;
    longParagraph?: boolean;
    size?: 'medium' | 'small';
    icon?: IconName | React.ReactNode;
    prefix?: string;
    suffix?: string;
    placeholder?: string;
} & React.HTMLAttributes<HTMLInputElement | HTMLTextAreaElement>;
export declare const Input: ({ id, name, label, value, onBlur, onFocus, disabled, required, status, assitiveText, characterLimit, longParagraph, size, icon, prefix, suffix, placeholder, ...props }: InputProps) => JSX.Element;
