/**
 * Renders a stepper element.
 */
export declare type StepperProps = {
    /**
     * Stepper id
     */
    id?: string;
    /**
     * Stepper value
     */
    value?: number | string;
    /**
     * Stepper className
     */
    className?: string;
    /**
     * Change stepper active state color
     */
    color?: string;
    /**
     * Whether this stepper is disabled initially or not
     */
    disabled?: boolean;
    /**
     * Whether this stepper is disabled Decrease initially or not
     */
    isDisableDecrease?: boolean;
    /**
     * Whether this stepper is disabled Increase initially or not
     */
    isDisableIncrease?: boolean;
    /**
     * Change event
     */
    onChange?: (value: number) => void;
};
export declare const Stepper: ({ value, color, disabled, isDisableDecrease, isDisableIncrease, onChange, ...props }: StepperProps) => JSX.Element;
