import { IconProps, IconSize } from "./types";

export const iconSizes: Record<Exclude<IconSize, "unset">, [string, string]> = {
  sm: ["w-3", "h-3"],
  md: ["w-4", "h-4"],
  lg: ["w-6", "h-6"],
  xl: ["w-8", "h-8"],
};

export function getIconStyles({
  fill,
  size,
}: { fill: string } & Required<Pick<IconProps, "size">>) {
  const styles = ["align-middle", "inline-block"];

  if (fill === "fill-current") {
    styles.push(fill);
  }

  if (size !== "unset") {
    styles.push(...iconSizes[size]);
  }

  return styles.join(" ");
}
