import styled from 'styled-components';
import theme from '../../theme';

const {
  colors,
  fonts,
} = theme;

const ButtonStyle = styled.button`
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  border: none;
  text-decoration: none;
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
  font-size: 0.88rem;
  line-height: 1.25rem;
  font-weight: 600;
  font-family: ${fonts.body};
  height: fit-content;
  user-select: none;
  outline: none;

 &.pri {
    color: ${colors.primary};
    background-color: ${colors.primary};
    border-color: ${colors.primary};
    &:hover {
      color: ${colors.primary500};
      background-color: ${colors.primary500};
      border-color: ${colors.primary500};
    }
    &:active {
      color: ${colors.primary900};
      background-color: ${colors.primary900};
      border-color: ${colors.primary900};
    }
  }

  &.sec {
    color: ${colors.secondary};
    background-color: ${colors.secondary};
    border-color: ${colors.secondary};
    &:hover {
      color: ${colors.secondary400};
      background-color: ${colors.secondary400};
      border-color: ${colors.secondary400};
    }
    &:active {
      color: ${colors.secondary700};
      background-color: ${colors.secondary700};
      border-color: ${colors.secondary700};
    }
  }

  &.net {
    color: ${colors.gray600};
    background-color: ${colors.gray600};
    border-color: ${colors.gray600};
    &:hover {
      color: ${colors.gray500};
      background-color: ${colors.gray500};
      border-color: ${colors.gray500};
    }
    &:active {
      color: ${colors.gray800};
      background-color: ${colors.gray800};
      border-color: ${colors.gray800};
    }
  }

  &.hi {
    color:  ${colors.white};
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    &:hover {
      color:  ${colors.white};
    }
    &:active {
      color:  ${colors.white};
    }
  }

  &.med {
    border-style: solid;
    border-width: 1px;
    background: transparent;
    &:hover {
      background: transparent;
    }
    &:active {
      background: transparent;
    }
  }

  &.low {
    background-color: transparent;
    box-shadow: none;
    &:hover {
      background-color: transparent;
    }
    &:active {
      background-color: transparent;
    }
  }

  &.hyperlink {
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    border: none;
    font-size: 1rem;
    line-height: 1.5rem;
    padding: 0;
    font-weight: 400;
    background-color: transparent;
    box-shadow: none;
    color: ${colors.secondary};
    text-decoration: underline;

    &:hover {
      color: ${colors.secondary400};
      background-color: transparent;
      text-decoration: underline;
    }
    &:active {
      color: ${colors.secondary700};
      background-color: transparent;
      text-decoration: underline;
    }
  }

  /* Inner icons */
  svg {
    margin-right: 0.66em;
    font-size: 1.1rem;
  }

  &:focus {
    outline: none;
  }

  &.disabled,
  &:disabled,
  &[disabled] {
    opacity: 0.4;
    cursor: default;
    pointer-events: none;
  }
`

export default ButtonStyle;
