import styled from 'styled-components';
import theme from '../../theme';

const { colors } = theme;

/**
 *  @type {React.FC<any>}
 */
const ChipStyle = styled.button`
  display: inline-flex;
  border-radius: 40px;
  color: ${colors.text};
  border-width: 1px;
  border-style: solid;
  border-color: ${colors.gray300};
  background: ${colors.white};
  align-items: center;
  padding: 4px;


  .prefixIcon {
    display: contents;
    svg {
      color: ${colors.text};
      width: 1.5rem;
      height: 1.5rem;
    }
  }

  .suffixIcon{
    display: contents;
    svg {
      color: ${colors.text};
      width: 18px;
      height: 18px;
      margin-right: 4px;
    }
  }

  &:hover, &.isActive {
    color: ${({color}) => color};
    border-color: ${({color}) => `${color}33`};
    svg {
      color: ${({color}) => color};
    }
  }
  &.isActive {
    background: ${({color}) => `${color}33`};
  }

  &.disabled, &[disabled] {
    color: ${colors.text038};
    background: ${colors.gray100};
    pointer-events: none;
    border-color: ${colors.gray100};
    svg {
      color: ${colors.text038};
    }
  }

  &:focus {
    outline: none;
  }
`;

const LableChip = styled.span`
  line-height: 1.38rem;
  font-weight: 400;
  font-size: 14px;
  margin: 0 8px;
`;

export {
  ChipStyle,
  LableChip,
};
