import styled from 'styled-components';
import theme from '../../theme';

const { colors } = theme;

const InfoboxContainer = styled.div`
  display: flex;
  padding: 1rem;
  border-radius: 4px;
  background: ${colors.green50};
  width: auto;

  &.isHighEmphasis {
    border-width: 1px;
    border-style: solid;
    border-color: ${colors.green50};
  }

  button {
    margin-left: 10px;
    min-width: 10.6rem;
    align-self: center;
    justify-content: center;
    text-transform: uppercase;
  }

  &.isMobile button {
    width: 100%;
    margin: 12px 0 0;
    text-transform: capitalize;
  }

  &.green {
    border-color: ${colors.green};
  }

  &.red {
    border-color: ${colors.primary900};
    background: ${colors.primary50};
  }

  &.neutral {
    background: #FDFCF7;
    border-color: ${colors.gray300};
  }
`;

const InfoWrapper = styled.div`
  display: flex;
  flex-direction: row;

  &.isMobile {
    flex-flow: wrap;
  }
`;

const IconWrapper = styled.div`
  margin-right: 14px;
  color: ${colors.green};
  svg {
    font-size: 20px;
  }

  &.red {
    color: ${colors.primary900};
  }

  &.neutral {
    color: ${colors.gray700};
  }
`;

const ContextWrapper = styled.div`
  display: flex;
  flex-direction: column;
  color: ${colors.text};
  line-height: 22px;
  text-align: start;

  .title {
    font-weight: 700;
    font-size: 1rem;
    margin-bottom: 4px;

    &.isIOS {
      font-weight: 600;
      font-size: 1.1rem;
    }
  }

  .description {
    font-size: 14px;
    &.isIOS {
      line-height: 21px;
    }
  }
`;

export {
  InfoboxContainer,
  InfoWrapper,
  IconWrapper,
  ContextWrapper,
};
