import styled from 'styled-components';
import theme from '../../theme';

const { colors } = theme;
const StepperContainer = styled.div`
  display: flex;
  align-items: center;
  user-select: none;
`;

/**
 * @type {React.FC<any>}
 */
const IconWrapper = styled.span<{ colorStepper: string }>`
  display: contents;
  color: ${({colorStepper}) => colorStepper};
  cursor: pointer;
  user-select: none;

  &.disabled {
    cursor: auto;
    color: ${colors.gray500};
    pointer-events: none;
  }
`;

const LabelValue = styled.span`
  font-weight: 700;
  line-height: 22px;
  font-size: 1rem;
  margin: 0 10px;
  display: inline-block;
  user-select: none;
  position: relative;

  &:after {
    position: absolute;
    bottom: -4px;
    left: -4px;
    padding: 0 4px;
    content: '';
    width: calc(100% + 8px);
    height: 1px;
    background: rgba(0, 0, 0, 0.08);
  }

  &.disabled, &[disabled] {
    color: ${colors.gray500};
  }
`;

export {
  StepperContainer,
  IconWrapper,
  LabelValue,
};
