import React from "react";
import { Icon } from "../../Icon";
import icons from "../../Icon/icons";
import styled from "styled-components";

const WrapperIcon = styled.div`
  margin: 1rem;
  display: inline-flex;
  position: relative;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-width: 7rem;
  cursor: context-menu;
`;
const IconName = styled.span`
  margin-top: 8px;
  font-size: 12px;
  width: max-content;
`;
export const Default = (args: any) => {
  const { name: _, ...rest } = args;
  const coppyName = (name: string) => {
    navigator.clipboard.writeText(name);
  }

  return (
    <div>
      {Object.keys(icons).map((icon) => {
        return (
          <WrapperIcon key={icon} title={icon} onClick={() => coppyName(icon)}>
            <Icon {...rest} name={icon as any} />
            <IconName>{icon}</IconName>
          </WrapperIcon>
        );
      })}
    </div>
  );
};

export default {
  title: "Components/Icon",
  component: Icon,
};
