import ReactDOM from 'react-dom';

/**
 * Calls ReactDOM.createPortal at client side or push to createUniversalPortal.portals at server side
 */
const createUniversalPortal: any = (children: any) => {
  if (typeof window !== 'undefined' && typeof document !== 'undefined') {
    // client side
    return ReactDOM.createPortal(children, document.body);
  } else {
    // server side
    // TODO: should we take care of removing portal instances?
    return createUniversalPortal.portals.push(children);
  }
}

createUniversalPortal.portals = [];

export default createUniversalPortal;
